;---------------------------------------------------------------;
;                                                               ;
; Banchor                                                       ;
; Area Name Routines                                            ;
;                                                               ;
;---------------------------------------------------------------;

;------------------------------------------------
; showAreaName - Show the current area name
;
; Input:    None
; Output:   None
;------------------------------------------------
showAreaName:
        ld      hl,graymem1+(28*16)
        ld      b,16*7
        call    _ld_hl_bz
        ld      hl,graymem2+(28*16)
        ld      b,16*7
        call    _ld_hl_bz

        set     textwrite,(iy+new_grf_flgs)     ; Write with _vputs to _plotsscreen
        ld      hl,graymem1                     ; HL => Source
        ld      de,_plotsscreen                 ; DE => Destination
        ld      bc,1024                         ; BC = Num bytes to copy
        ldir                                    ; Copy graymem1 to _plotsscreen
        ld      hl,28*256+1                     ; HL = New cursor position
        ld      (_pencol),hl                    ; Set cursor
        ld      hl,strEntering                  ; HL => String
        call    _vputs                          ; Write "ENTERING "
        ld      hl,(areaNum)                    ; L = Area number
        dec     l
        ld      h,0                             ; HL = Area number - 1
        add     hl,hl                           ; HL = Offset in areaNames
        ld      de,areaNames
        add     hl,de                           ; HL => Pointer to area name string
        call    _ldhlind                        ; HL => Area name string
        call    _vputs                          ; Write area name
        ld      hl,_plotsscreen
        ld      de,graymem1
        ld      bc,1024
        ldir                                    ; Copy _plotsscreen back to buffer1
        res     textwrite,(iy+new_grf_flgs)

        call    showGray
        ld      bc,AREA_WAIT
        jp      wait                            ; Wait a bit

.end
